/***************************************************************************

    M.A.M.E.32  -  Multiple Arcade Machine Emulator for Win32

    Derived from the file "GDIDisplay.c" from
    Win32 Portions Copyright (C) 1997-98 Michael Soderstrom and Chris Kirmse

    This file is part of the OpenGL Version of M.A.M.E., called GLMame32 !
	Copyright 1999 by Sven Goethel, http://www.jausoft.com
    
    This file is part of MAME32, and may only be used, modified and
    distributed under the terms of the MAME license, in "readme.txt".
    By continuing to use, modify or distribute this file you indicate
    that you have read the license and understand and accept it fully.

  Now - an OpenGL Display is used !

  Modified for GLMame32
  29/April/1999 Sven Goethel

 ***************************************************************************/

#ifndef __WGLGDIDISPLAY_H__
#define __WGLGDIDISPLAY_H__

#include "Display.h"
#include "wgl_tool.h"

extern struct OSDDisplay    wgl_GDIDisplay;

extern int  game_index;
extern int doublebuffer;  /* Do double buffering? */
extern int dodepth;
extern int winwidth;
extern int winheight;
extern int win_left;
extern int win_bottom;
extern int visual_width;
extern int visual_height;
extern struct rectangle	visual;
extern struct osd_bitmap* bitmap;
extern int use_window;
extern options_type *save_options_for_gl;
extern float gl_win_scale;

#endif
