/***************************************************************************

    M.A.M.E.32  -  Multiple Arcade Machine Emulator for Win32

    Derived from the file "status.h" from
    Win32 Portions Copyright (C) 1997-98 Michael Soderstrom and Chris Kirmse

    This file is part of the OpenGL Version of M.A.M.E., called GLMame32 !
	Copyright 1999 by Sven Goethel, http://www.jausoft.com
    
    This file is part of MAME32, and may only be used, modified and
    distributed under the terms of the MAME license, in "readme.txt".
    By continuing to use, modify or distribute this file you indicate
    that you have read the license and understand and accept it fully.

  Modified for GLMame32
  29/April/1999 Sven Goethel

 ***************************************************************************/

#ifndef __WGL_STATUS_H__
#define __WGL_STATUS_H__

#define WIN32_LEAN_AND_MEAN
#include <windows.h>

void glStatusCreate(BOOL modal);
int glGetStatusHeight();
void glStatusWindowSize(UINT state,int cx,int cy);
void glStatusDrawItem(const DRAWITEMSTRUCT *lpdi);
void glStatusWrite(int led,BOOL on);
void glStatusUpdate(void);
void glStatusSetString(char *str);
void glStatusDelete(void);


#endif
